//                  in the name of god

// send a word data to the lcd
#ifndef GLCD_GFUNCTIONS_H
#define GLCD_GFUNCTIONS_H

void lcd_init(void);

void lcd_write_index_register(char ins);

// write a word data into the WDR lcd register
void lcd_write_wdr(int data);

// read data from rdr lcd register
int lcd_read_rdr(void);

// clears the lcd panel
void lcd_clear_screen(void);

// turn on a pixel on the lcd screen
void lcd_write_pixel(unsigned int x,unsigned int y,int color);

// draw a line with x0,y0 and x1,y1 coordinates
void lcd_draw_line(int x0,int y0,int x1,int y1,int color);

// draw a fill(1) or no fill(0) rectangular with specified color    
void lcd_draw_rectangle(unsigned int x0,unsigned int y0,unsigned int x1,unsigned int y1,char fill,int color);

// draw a fill(1) or no fill(0) circle with specified color 
void lcd_draw_circle(unsigned int x0,unsigned int y0,unsigned int radius,char fill,int color);

void lcd_write_pic(unsigned int x,unsigned int y,const prog_uint16_t *);




#endif	/*Glcd_GFunctions*/

  
