//                        in the name of ogd
#ifndef GLCD_TFUNCTIONS_H
#define GLCD_TFUNCTIONS_H

extern unsigned char x_text,y_text;

void lcd_gotoxy(unsigned char x,unsigned char y);

void lcd_putchar(char character,int forground_color,char background_color_activation,int background_color);

static inline void lcd_putsf(PGM_P string,int forground_color,char background_color_activation,int background_color)
    {
	uint8_t k;
    while((k=(pgm_read_byte(string++))))
      lcd_putchar(k,forground_color,background_color_activation,background_color);
    }
    
static inline void lcd_puts(char *string,int forground_color,char background_color_activation,int background_color)
    {
    while(*string)
      lcd_putchar(*string++,forground_color,background_color_activation,background_color);
    }

#endif	/*Glcd_TFunctions*/
